> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/display-campaign/display-campaigns.md).

# Display Campaigns

Operations related to Display Campaigns, the activation tool to display Ads to end users through Real Time Bidding (RTB) and Ad Server diffusion channels.

## GET /display\_campaigns/{campaign\_id}/ad\_groups

> get ad groups from the campaign

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Display Campaigns","description":"Operations related to Display Campaigns, the activation tool to display Ads to end users through Real Time Bidding (RTB) and Ad Server diffusion channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/display_campaigns/{campaign_id}/ad_groups":{"get":{"tags":["Display Campaigns"],"description":"","summary":"get ad groups from the campaign","operationId":"findAdGroups","parameters":[{"in":"path","description":"The organisation owning the campaign","schema":{"type":"integer","format":"int64"},"explode":false,"name":"campaign_id","style":"simple","required":true}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"total":{"type":"integer"},"first_result":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"count":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/AdGroupResource"}},"max_results":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"AdGroupResource":{"type":"object","properties":{"end_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"viewability_use_third_party_data":{"type":"boolean","default":false,"readOnly":false},"total_impression_capping":{"type":"integer","format":"int32","default":0,"readOnly":false},"start_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"viewability_min_score":{"type":"integer","format":"int32","default":0,"readOnly":false},"name":{"type":"string","readOnly":false},"per_day_impression_capping":{"type":"integer","format":"int32","default":0,"readOnly":false},"status":{"$ref":"#/components/schemas/AdGroupStatus"},"id":{"type":"string","readOnly":true},"targeted_browser_families":{"$ref":"#/components/schemas/TargetedBrowserFamily"},"ab_selection_min":{"type":"integer","format":"int32","default":0,"readOnly":false},"max_budget_period":{"$ref":"#/components/schemas/BudgetPeriodEnum"},"max_budget_per_period":{"type":"number","format":"float","default":0,"readOnly":false},"visibility":{"$ref":"#/components/schemas/AdSlotVisibilityFilter"},"ab_selection":{"type":"boolean","default":false,"readOnly":false},"ab_selection_max":{"type":"integer","format":"int32","default":0,"readOnly":false},"targeted_operating_systems":{"$ref":"#/components/schemas/TargetedOperatingSystem"},"targeted_medias":{"$ref":"#/components/schemas/TargetedMedia"},"total_budget":{"type":"number","format":"float","default":0,"readOnly":false},"targeted_connection_types":{"$ref":"#/components/schemas/TargetedConnectionType"},"technical_name":{"type":"string","readOnly":false},"max_bid_price":{"type":"number","format":"float","default":0,"readOnly":false},"campaign_id":{"type":"string","readOnly":false},"targeted_devices":{"$ref":"#/components/schemas/TargetedDevice"},"budget_relative_to_campaign":{"type":"boolean","default":false,"readOnly":false}},"required":["ab_selection","ab_selection_max","ab_selection_min","budget_relative_to_campaign","campaign_id","id","max_bid_price","name","per_day_impression_capping","status","targeted_browser_families","targeted_connection_types","targeted_devices","targeted_medias","targeted_operating_systems","technical_name","total_budget","total_impression_capping","viewability_use_third_party_data","visibility"]},"AdGroupStatus":{"type":"string","enum":["ACTIVE","PAUSED"],"readOnly":false},"TargetedBrowserFamily":{"type":"string","enum":["ALL","CHROME","INTERNET_EXPLORER","MICROSOFT_EDGE","FIREFOX","SAFARI","OPERA"],"readOnly":false},"BudgetPeriodEnum":{"type":"string","enum":["DAY","WEEK","MONTH"],"readOnly":false},"AdSlotVisibilityFilter":{"type":"string","enum":["ABOVE_THE_FOLD","BELOW_THE_FOLD","ANY_POSITION"],"readOnly":false},"TargetedOperatingSystem":{"type":"string","enum":["ALL","IOS","ANDROID","WINDOWS_PHONE"],"readOnly":false},"TargetedMedia":{"type":"string","enum":["WEB","MOBILE_APP"],"readOnly":false},"TargetedConnectionType":{"type":"string","enum":["ALL","ETHERNET","WIFI","CELLULAR_NETWORK_2G","CELLULAR_NETWORK_3G","CELLULAR_NETWORK_4G"],"readOnly":false},"TargetedDevice":{"type":"string","enum":["ALL","ONLY_DESKTOP","ONLY_MOBILE","ONLY_TABLET","MOBILE_AND_TABLET"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /display\_campaigns/{campaign\_id}/ad\_groups

> create an ad group

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Display Campaigns","description":"Operations related to Display Campaigns, the activation tool to display Ads to end users through Real Time Bidding (RTB) and Ad Server diffusion channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/display_campaigns/{campaign_id}/ad_groups":{"post":{"tags":["Display Campaigns"],"parameters":[{"in":"path","required":true,"description":"The organisation owning the campaign","style":"simple","schema":{"type":"integer","format":"int64"},"name":"campaign_id","explode":false}],"description":"","requestBody":{"description":"The ad group to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdGroupResource"}}},"required":true},"operationId":"createAdGroups","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/AdGroupResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"create an ad group"}}},"components":{"schemas":{"AdGroupResource":{"type":"object","properties":{"end_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"viewability_use_third_party_data":{"type":"boolean","default":false,"readOnly":false},"total_impression_capping":{"type":"integer","format":"int32","default":0,"readOnly":false},"start_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"viewability_min_score":{"type":"integer","format":"int32","default":0,"readOnly":false},"name":{"type":"string","readOnly":false},"per_day_impression_capping":{"type":"integer","format":"int32","default":0,"readOnly":false},"status":{"$ref":"#/components/schemas/AdGroupStatus"},"id":{"type":"string","readOnly":true},"targeted_browser_families":{"$ref":"#/components/schemas/TargetedBrowserFamily"},"ab_selection_min":{"type":"integer","format":"int32","default":0,"readOnly":false},"max_budget_period":{"$ref":"#/components/schemas/BudgetPeriodEnum"},"max_budget_per_period":{"type":"number","format":"float","default":0,"readOnly":false},"visibility":{"$ref":"#/components/schemas/AdSlotVisibilityFilter"},"ab_selection":{"type":"boolean","default":false,"readOnly":false},"ab_selection_max":{"type":"integer","format":"int32","default":0,"readOnly":false},"targeted_operating_systems":{"$ref":"#/components/schemas/TargetedOperatingSystem"},"targeted_medias":{"$ref":"#/components/schemas/TargetedMedia"},"total_budget":{"type":"number","format":"float","default":0,"readOnly":false},"targeted_connection_types":{"$ref":"#/components/schemas/TargetedConnectionType"},"technical_name":{"type":"string","readOnly":false},"max_bid_price":{"type":"number","format":"float","default":0,"readOnly":false},"campaign_id":{"type":"string","readOnly":false},"targeted_devices":{"$ref":"#/components/schemas/TargetedDevice"},"budget_relative_to_campaign":{"type":"boolean","default":false,"readOnly":false}},"required":["ab_selection","ab_selection_max","ab_selection_min","budget_relative_to_campaign","campaign_id","id","max_bid_price","name","per_day_impression_capping","status","targeted_browser_families","targeted_connection_types","targeted_devices","targeted_medias","targeted_operating_systems","technical_name","total_budget","total_impression_capping","viewability_use_third_party_data","visibility"]},"AdGroupStatus":{"type":"string","enum":["ACTIVE","PAUSED"],"readOnly":false},"TargetedBrowserFamily":{"type":"string","enum":["ALL","CHROME","INTERNET_EXPLORER","MICROSOFT_EDGE","FIREFOX","SAFARI","OPERA"],"readOnly":false},"BudgetPeriodEnum":{"type":"string","enum":["DAY","WEEK","MONTH"],"readOnly":false},"AdSlotVisibilityFilter":{"type":"string","enum":["ABOVE_THE_FOLD","BELOW_THE_FOLD","ANY_POSITION"],"readOnly":false},"TargetedOperatingSystem":{"type":"string","enum":["ALL","IOS","ANDROID","WINDOWS_PHONE"],"readOnly":false},"TargetedMedia":{"type":"string","enum":["WEB","MOBILE_APP"],"readOnly":false},"TargetedConnectionType":{"type":"string","enum":["ALL","ETHERNET","WIFI","CELLULAR_NETWORK_2G","CELLULAR_NETWORK_3G","CELLULAR_NETWORK_4G"],"readOnly":false},"TargetedDevice":{"type":"string","enum":["ALL","ONLY_DESKTOP","ONLY_MOBILE","ONLY_TABLET","MOBILE_AND_TABLET"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /display\_campaigns/{campaign\_id}/ad\_groups/{ad\_group\_id}/locations

> find Geo Targetings

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Display Campaigns","description":"Operations related to Display Campaigns, the activation tool to display Ads to end users through Real Time Bidding (RTB) and Ad Server diffusion channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/display_campaigns/{campaign_id}/ad_groups/{ad_group_id}/locations":{"get":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/LocationSelectionResource"}},"status":{"type":"string","enum":["ok"]},"max_results":{"type":"integer"},"first_result":{"type":"integer"},"total":{"type":"integer"},"count":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Display Campaigns"],"summary":"find Geo Targetings","operationId":"findGeoTargetings","description":"","parameters":[{"required":true,"in":"path","style":"simple","name":"campaign_id","explode":false,"schema":{"type":"integer","format":"int64"}},{"name":"ad_group_id","style":"simple","required":true,"in":"path","schema":{"type":"integer","format":"int64"},"explode":false}]}}},"components":{"schemas":{"LocationSelectionResource":{"type":"object","properties":{"postal_code":{"type":"string","readOnly":false},"geoname_id":{"type":"string","readOnly":false},"type":{"$ref":"#/components/schemas/LocationSelectionType"},"country":{"type":"string","readOnly":false},"geozone_id":{"type":"string","readOnly":false},"exclude":{"type":"boolean","default":false,"readOnly":false},"admin1":{"type":"string","readOnly":false},"admin2":{"type":"string","readOnly":false},"city":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":false}},"required":["exclude","id","type"]},"LocationSelectionType":{"type":"string","enum":["POSTAL_CODE","GEONAME","URBAN_AREA","GEOJSON"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /display\_campaigns/{campaign\_id}/ad\_groups/{ad\_group\_id}/locations

> Create a Geo Targeting

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Display Campaigns","description":"Operations related to Display Campaigns, the activation tool to display Ads to end users through Real Time Bidding (RTB) and Ad Server diffusion channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/display_campaigns/{campaign_id}/ad_groups/{ad_group_id}/locations":{"post":{"tags":["Display Campaigns"],"operationId":"createGeoTargeting","summary":"Create a Geo Targeting","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/LocationSelectionResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"in":"path","schema":{"type":"integer","format":"int64"},"explode":false,"style":"simple","required":true,"name":"campaign_id"},{"schema":{"type":"integer","format":"int64"},"required":true,"name":"ad_group_id","in":"path","explode":false,"style":"simple"}],"requestBody":{"description":"The location to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LocationSelectionResource"}}},"required":true},"description":""}}},"components":{"schemas":{"LocationSelectionResource":{"type":"object","properties":{"postal_code":{"type":"string","readOnly":false},"geoname_id":{"type":"string","readOnly":false},"type":{"$ref":"#/components/schemas/LocationSelectionType"},"country":{"type":"string","readOnly":false},"geozone_id":{"type":"string","readOnly":false},"exclude":{"type":"boolean","default":false,"readOnly":false},"admin1":{"type":"string","readOnly":false},"admin2":{"type":"string","readOnly":false},"city":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":false}},"required":["exclude","id","type"]},"LocationSelectionType":{"type":"string","enum":["POSTAL_CODE","GEONAME","URBAN_AREA","GEOJSON"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /display\_campaigns/{campaign\_id}/ad\_groups/{group\_id}/ads

> Search ads

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Display Campaigns","description":"Operations related to Display Campaigns, the activation tool to display Ads to end users through Real Time Bidding (RTB) and Ad Server diffusion channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/display_campaigns/{campaign_id}/ad_groups/{group_id}/ads":{"get":{"operationId":"findAds","description":"","summary":"Search ads","tags":["Display Campaigns"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"total":{"type":"integer"},"count":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/AdResource"}},"first_result":{"type":"integer"},"max_results":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"description":"The campaign id","style":"simple","name":"campaign_id","in":"path","schema":{"type":"integer","format":"int64"},"required":true,"explode":false},{"name":"group_id","schema":{"type":"integer","format":"int64"},"style":"simple","required":true,"explode":false,"in":"path","description":"The ad group id"}]}}},"components":{"schemas":{"AdResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"status":{"type":"string","readOnly":false},"creative_id":{"type":"string","readOnly":false},"technical_name":{"type":"string","readOnly":false}},"required":["creative_id","id","status","technical_name"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /display\_campaigns/{campaign\_id}/ad\_groups/{group\_id}/ads

> create an ad

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Display Campaigns","description":"Operations related to Display Campaigns, the activation tool to display Ads to end users through Real Time Bidding (RTB) and Ad Server diffusion channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/display_campaigns/{campaign_id}/ad_groups/{group_id}/ads":{"post":{"requestBody":{"description":"The ad to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdResource"}}},"required":true},"description":"","operationId":"createAd","parameters":[{"required":true,"explode":false,"in":"path","schema":{"type":"integer","format":"int64"},"style":"simple","description":"The campaign id","name":"campaign_id"},{"style":"simple","in":"path","required":true,"schema":{"type":"integer","format":"int64"},"description":"The ad group id","explode":false,"name":"group_id"}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/AdResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Display Campaigns"],"summary":"create an ad"}}},"components":{"schemas":{"AdResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"status":{"type":"string","readOnly":false},"creative_id":{"type":"string","readOnly":false},"technical_name":{"type":"string","readOnly":false}},"required":["creative_id","id","status","technical_name"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /display\_campaigns/{campaign\_id}/ad\_groups/{ad\_group\_id}/audience\_segments/{id}

> Get audience segment selection by id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Display Campaigns","description":"Operations related to Display Campaigns, the activation tool to display Ads to end users through Real Time Bidding (RTB) and Ad Server diffusion channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/display_campaigns/{campaign_id}/ad_groups/{ad_group_id}/audience_segments/{id}":{"get":{"parameters":[{"required":true,"schema":{"type":"integer","format":"int64"},"name":"campaign_id","explode":false,"style":"simple","in":"path"},{"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"},"name":"ad_group_id","in":"path","required":true},{"required":true,"explode":false,"in":"path","style":"simple","name":"id","schema":{"type":"integer","format":"int64"}}],"description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/AudienceSegmentSelectionResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Get audience segment selection by id","tags":["Display Campaigns"],"operationId":"getAudienceSegmentSelection"}}},"components":{"schemas":{"AudienceSegmentSelectionResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"audience_segment_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":true},"technical_name":{"type":"string","readOnly":true},"exclude":{"type":"boolean","default":false,"readOnly":false}},"required":["audience_segment_id","exclude","id","name","technical_name"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /display\_campaigns/{campaign\_id}/ad\_groups/{ad\_group\_id}/audience\_segments/{id}

> Update audience segment selection

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Display Campaigns","description":"Operations related to Display Campaigns, the activation tool to display Ads to end users through Real Time Bidding (RTB) and Ad Server diffusion channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/display_campaigns/{campaign_id}/ad_groups/{ad_group_id}/audience_segments/{id}":{"put":{"parameters":[{"explode":false,"name":"campaign_id","in":"path","required":true,"schema":{"type":"integer","format":"int64"},"style":"simple"},{"name":"ad_group_id","style":"simple","in":"path","schema":{"type":"integer","format":"int64"},"explode":false,"required":true},{"in":"path","explode":false,"required":true,"style":"simple","name":"id","schema":{"type":"integer","format":"int64"}}],"description":"","tags":["Display Campaigns"],"summary":"Update audience segment selection","requestBody":{"description":"The audience segment selection to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AudienceSegmentSelectionResource"}}},"required":true},"operationId":"updateAudienceSegmentSelection","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/AudienceSegmentSelectionResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"AudienceSegmentSelectionResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"audience_segment_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":true},"technical_name":{"type":"string","readOnly":true},"exclude":{"type":"boolean","default":false,"readOnly":false}},"required":["audience_segment_id","exclude","id","name","technical_name"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /display\_campaigns/{campaign\_id}/ad\_groups/{ad\_group\_id}/audience\_segments/{id}

> Delete audience segment selection

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Display Campaigns","description":"Operations related to Display Campaigns, the activation tool to display Ads to end users through Real Time Bidding (RTB) and Ad Server diffusion channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/display_campaigns/{campaign_id}/ad_groups/{ad_group_id}/audience_segments/{id}":{"delete":{"description":"","responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"in":"path","name":"campaign_id","style":"simple","schema":{"type":"integer","format":"int64"},"required":true,"explode":false},{"name":"ad_group_id","in":"path","explode":false,"required":true,"style":"simple","schema":{"type":"integer","format":"int64"}},{"style":"simple","schema":{"type":"integer","format":"int64"},"name":"id","required":true,"explode":false,"in":"path"}],"operationId":"deleteAudienceSegmentSelection","summary":"Delete audience segment selection","tags":["Display Campaigns"]}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```

## GET /display\_campaigns.ad\_groups

> Search ad groups

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Display Campaigns","description":"Operations related to Display Campaigns, the activation tool to display Ads to end users through Real Time Bidding (RTB) and Ad Server diffusion channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/display_campaigns.ad_groups":{"get":{"summary":"Search ad groups","tags":["Display Campaigns"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"first_result":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"total":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/AdGroupResource"}},"max_results":{"type":"integer"},"count":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"findAdGroups","description":"","parameters":[{"required":true,"description":"The organisation owning the campaign","schema":{"type":"integer","format":"int64"},"explode":true,"style":"form","name":"organisation_id","in":"query"},{"style":"form","schema":{"type":"boolean"},"name":"automated","in":"query","explode":true,"description":"Campaign created within a scenario","required":false},{"style":"form","required":false,"in":"query","schema":{"type":"array","items":{"$ref":"#/components/schemas/CampaignStatus"}},"name":"status","explode":true,"description":"Status of the campaign"},{"schema":{"type":"array","items":{"type":"integer","format":"int64"}},"explode":true,"name":"campaign_id","required":false,"style":"form","in":"query"},{"name":"keywords","schema":{"type":"string"},"explode":true,"style":"form","in":"query","description":"Word contained in the ad_group name","required":false}]}}},"components":{"schemas":{"AdGroupResource":{"type":"object","properties":{"end_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"viewability_use_third_party_data":{"type":"boolean","default":false,"readOnly":false},"total_impression_capping":{"type":"integer","format":"int32","default":0,"readOnly":false},"start_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"viewability_min_score":{"type":"integer","format":"int32","default":0,"readOnly":false},"name":{"type":"string","readOnly":false},"per_day_impression_capping":{"type":"integer","format":"int32","default":0,"readOnly":false},"status":{"$ref":"#/components/schemas/AdGroupStatus"},"id":{"type":"string","readOnly":true},"targeted_browser_families":{"$ref":"#/components/schemas/TargetedBrowserFamily"},"ab_selection_min":{"type":"integer","format":"int32","default":0,"readOnly":false},"max_budget_period":{"$ref":"#/components/schemas/BudgetPeriodEnum"},"max_budget_per_period":{"type":"number","format":"float","default":0,"readOnly":false},"visibility":{"$ref":"#/components/schemas/AdSlotVisibilityFilter"},"ab_selection":{"type":"boolean","default":false,"readOnly":false},"ab_selection_max":{"type":"integer","format":"int32","default":0,"readOnly":false},"targeted_operating_systems":{"$ref":"#/components/schemas/TargetedOperatingSystem"},"targeted_medias":{"$ref":"#/components/schemas/TargetedMedia"},"total_budget":{"type":"number","format":"float","default":0,"readOnly":false},"targeted_connection_types":{"$ref":"#/components/schemas/TargetedConnectionType"},"technical_name":{"type":"string","readOnly":false},"max_bid_price":{"type":"number","format":"float","default":0,"readOnly":false},"campaign_id":{"type":"string","readOnly":false},"targeted_devices":{"$ref":"#/components/schemas/TargetedDevice"},"budget_relative_to_campaign":{"type":"boolean","default":false,"readOnly":false}},"required":["ab_selection","ab_selection_max","ab_selection_min","budget_relative_to_campaign","campaign_id","id","max_bid_price","name","per_day_impression_capping","status","targeted_browser_families","targeted_connection_types","targeted_devices","targeted_medias","targeted_operating_systems","technical_name","total_budget","total_impression_capping","viewability_use_third_party_data","visibility"]},"AdGroupStatus":{"type":"string","enum":["ACTIVE","PAUSED"],"readOnly":false},"TargetedBrowserFamily":{"type":"string","enum":["ALL","CHROME","INTERNET_EXPLORER","MICROSOFT_EDGE","FIREFOX","SAFARI","OPERA"],"readOnly":false},"BudgetPeriodEnum":{"type":"string","enum":["DAY","WEEK","MONTH"],"readOnly":false},"AdSlotVisibilityFilter":{"type":"string","enum":["ABOVE_THE_FOLD","BELOW_THE_FOLD","ANY_POSITION"],"readOnly":false},"TargetedOperatingSystem":{"type":"string","enum":["ALL","IOS","ANDROID","WINDOWS_PHONE"],"readOnly":false},"TargetedMedia":{"type":"string","enum":["WEB","MOBILE_APP"],"readOnly":false},"TargetedConnectionType":{"type":"string","enum":["ALL","ETHERNET","WIFI","CELLULAR_NETWORK_2G","CELLULAR_NETWORK_3G","CELLULAR_NETWORK_4G"],"readOnly":false},"TargetedDevice":{"type":"string","enum":["ALL","ONLY_DESKTOP","ONLY_MOBILE","ONLY_TABLET","MOBILE_AND_TABLET"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]},"CampaignStatus":{"type":"string","enum":["PENDING","ACTIVE","PAUSED"],"readOnly":false}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /display\_campaigns/{campaign\_id}/ad\_groups/{group\_id}/ads/{id}

> Search ad

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Display Campaigns","description":"Operations related to Display Campaigns, the activation tool to display Ads to end users through Real Time Bidding (RTB) and Ad Server diffusion channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/display_campaigns/{campaign_id}/ad_groups/{group_id}/ads/{id}":{"get":{"summary":"Search ad","operationId":"findAd","description":"","parameters":[{"explode":false,"required":true,"schema":{"type":"integer","format":"int64"},"name":"campaign_id","style":"simple","in":"path","description":"The campaign id"},{"required":true,"style":"simple","explode":false,"in":"path","description":"The ad group id","name":"group_id","schema":{"type":"integer","format":"int64"}},{"style":"simple","explode":false,"required":true,"name":"id","schema":{"type":"integer","format":"int64"},"description":"The ad id","in":"path"}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/AdResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Display Campaigns"]}}},"components":{"schemas":{"AdResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"status":{"type":"string","readOnly":false},"creative_id":{"type":"string","readOnly":false},"technical_name":{"type":"string","readOnly":false}},"required":["creative_id","id","status","technical_name"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /display\_campaigns/{campaign\_id}/ad\_groups/{group\_id}/ads/{id}

> Update an ad

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Display Campaigns","description":"Operations related to Display Campaigns, the activation tool to display Ads to end users through Real Time Bidding (RTB) and Ad Server diffusion channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/display_campaigns/{campaign_id}/ad_groups/{group_id}/ads/{id}":{"put":{"parameters":[{"style":"simple","in":"path","name":"campaign_id","required":true,"description":"The campaign id","schema":{"type":"integer","format":"int64"},"explode":false},{"explode":false,"name":"group_id","schema":{"type":"integer","format":"int64"},"in":"path","required":true,"style":"simple","description":"The ad group id"},{"in":"path","explode":false,"schema":{"type":"integer","format":"int64"},"description":"The ad id","name":"id","required":true,"style":"simple"}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/AdResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"updateAd","tags":["Display Campaigns"],"description":"","summary":"Update an ad","requestBody":{"description":"The ad to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdResource"}}},"required":true}}}},"components":{"schemas":{"AdResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"status":{"type":"string","readOnly":false},"creative_id":{"type":"string","readOnly":false},"technical_name":{"type":"string","readOnly":false}},"required":["creative_id","id","status","technical_name"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /display\_campaigns/{campaign\_id}/ad\_groups/{group\_id}/ads/{id}

> Removes an ad

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Display Campaigns","description":"Operations related to Display Campaigns, the activation tool to display Ads to end users through Real Time Bidding (RTB) and Ad Server diffusion channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/display_campaigns/{campaign_id}/ad_groups/{group_id}/ads/{id}":{"delete":{"tags":["Display Campaigns"],"description":"","operationId":"deleteAd","responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"explode":false,"name":"campaign_id","description":"The campaign id","style":"simple","required":true,"in":"path","schema":{"type":"integer","format":"int64"}},{"name":"group_id","required":true,"in":"path","style":"simple","description":"The ad group id","explode":false,"schema":{"type":"integer","format":"int64"}},{"name":"id","required":true,"schema":{"type":"integer","format":"int64"},"description":"The ad id","style":"simple","in":"path","explode":false}],"summary":"Removes an ad"}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```

## GET /display\_campaigns

> get display campaigns

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Display Campaigns","description":"Operations related to Display Campaigns, the activation tool to display Ads to end users through Real Time Bidding (RTB) and Ad Server diffusion channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/display_campaigns":{"get":{"description":"","summary":"get display campaigns","parameters":[{"in":"query","schema":{"type":"integer","format":"int64"},"required":false,"description":"The organisation adminstrating the organisation owning the campaign","style":"form","explode":true,"name":"administration_id"},{"in":"query","schema":{"type":"integer","format":"int64"},"name":"organisation_id","style":"form","description":"The organisation owning the campaign","explode":true,"required":false},{"required":false,"explode":true,"description":"Campaign created within a scenario","style":"form","in":"query","schema":{"type":"boolean"},"name":"automated"},{"name":"keywords","description":"Word contained in the campaign name","style":"form","in":"query","schema":{"type":"string"},"explode":true,"required":false},{"explode":true,"schema":{"type":"array","items":{"$ref":"#/components/schemas/CampaignStatus"}},"description":"Status of the campaign","name":"status","in":"query","required":false,"style":"form"},{"name":"archived","style":"form","explode":true,"description":"Retrieve archived campaigns","schema":{"type":"boolean"},"in":"query","required":false},{"explode":true,"name":"label_id","description":"Campaign in the result are labeled by all labels identified by this list","schema":{"type":"array","items":{"type":"integer","format":"int64"}},"in":"query","style":"form","required":false},{"name":"order_by","in":"query","schema":{"type":"array","items":{"type":"string"}},"explode":true,"style":"form","description":"Fields used to order the result","required":false},{"name":"first_result","description":"Offset from which the search must be performed","explode":true,"style":"form","schema":{"type":"integer","format":"int32"},"in":"query","required":false},{"required":false,"explode":true,"schema":{"type":"integer","format":"int32"},"description":"Number of maximum items that shall be return by this search","name":"max_results","in":"query","style":"form"}],"operationId":"findCampaigns","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"max_results":{"type":"integer"},"count":{"type":"integer"},"total":{"type":"integer"},"first_result":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/CampaignResource"}}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Display Campaigns"]}}},"components":{"schemas":{"CampaignStatus":{"type":"string","enum":["PENDING","ACTIVE","PAUSED"],"readOnly":false},"CampaignResource":{"discriminator":{"propertyName":"type","mapping":{"DISPLAY":"#/components/schemas/DisplayCampaignResource","EMAIL":"#/components/schemas/EmailCampaignResource"}},"oneOf":[{"$ref":"#/components/schemas/DisplayCampaignResource"},{"$ref":"#/components/schemas/EmailCampaignResource"}],"properties":{"type":{"type":"string","enum":["DISPLAY","EMAIL"]}},"required":["type"]},"DisplayCampaignResource":{"type":"object","properties":{"time_zone":{"type":"string","readOnly":false},"automated":{"type":"boolean","default":false,"readOnly":false},"max_budget_period":{"$ref":"#/components/schemas/BudgetPeriodEnum"},"organisation_id":{"type":"string","readOnly":false},"editor_version_value":{"type":"string","readOnly":false},"model_version":{"$ref":"#/components/schemas/ModelVersion"},"total_budget":{"type":"number","format":"float","default":0,"readOnly":false},"status":{"$ref":"#/components/schemas/CampaignStatus"},"max_bid_price":{"type":"number","format":"float","default":0,"readOnly":false},"id":{"type":"string","readOnly":true},"max_budget_per_period":{"type":"number","format":"float","default":0,"readOnly":false},"total_impression_capping":{"type":"integer","format":"int32","default":0,"readOnly":false},"per_day_impression_capping":{"type":"integer","format":"int32","default":0,"readOnly":false},"currency_code":{"type":"string","readOnly":false},"start_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"subtype":{"$ref":"#/components/schemas/DisplayCampaignSubtype"},"name":{"type":"string","readOnly":false},"editor_version_id":{"type":"string","readOnly":false},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":false},"editor_group_id":{"type":"string","readOnly":false},"technical_name":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"end_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"editor_artifact_id":{"type":"string","readOnly":false}},"required":["archived","automated","creation_ts","currency_code","editor_artifact_id","editor_group_id","editor_version_id","editor_version_value","end_date","id","max_bid_price","max_budget_per_period","max_budget_period","model_version","name","organisation_id","per_day_impression_capping","start_date","status","subtype","time_zone","total_budget","total_impression_capping"]},"BudgetPeriodEnum":{"type":"string","enum":["DAY","WEEK","MONTH"],"readOnly":false},"ModelVersion":{"type":"string","enum":["V2014_06","V2017_09"],"readOnly":false},"DisplayCampaignSubtype":{"type":"string","enum":["PROGRAMMATIC","AD_SERVING","TRACKING"],"readOnly":false},"EmailCampaignResource":{"type":"object","properties":{"archived":{"type":"boolean","default":false,"readOnly":false},"currency_code":{"type":"string","readOnly":false},"editor_version_id":{"type":"string","readOnly":false},"automated":{"type":"boolean","default":false,"readOnly":false},"editor_version_value":{"type":"string","readOnly":false},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":false},"editor_group_id":{"type":"string","readOnly":false},"status":{"$ref":"#/components/schemas/CampaignStatus"},"editor_artifact_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"technical_name":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false}},"required":["archived","automated","creation_ts","currency_code","editor_artifact_id","editor_group_id","editor_version_id","editor_version_value","id","name","organisation_id","status"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /display\_campaigns

> Create Display Campaign

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Display Campaigns","description":"Operations related to Display Campaigns, the activation tool to display Ads to end users through Real Time Bidding (RTB) and Ad Server diffusion channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/display_campaigns":{"post":{"description":"","operationId":"createCampaign","requestBody":{"description":"The campaign to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisplayCampaignResource"}}},"required":true},"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/CampaignResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Display Campaigns"],"summary":"Create Display Campaign"}}},"components":{"schemas":{"DisplayCampaignResource":{"type":"object","properties":{"time_zone":{"type":"string","readOnly":false},"automated":{"type":"boolean","default":false,"readOnly":false},"max_budget_period":{"$ref":"#/components/schemas/BudgetPeriodEnum"},"organisation_id":{"type":"string","readOnly":false},"editor_version_value":{"type":"string","readOnly":false},"model_version":{"$ref":"#/components/schemas/ModelVersion"},"total_budget":{"type":"number","format":"float","default":0,"readOnly":false},"status":{"$ref":"#/components/schemas/CampaignStatus"},"max_bid_price":{"type":"number","format":"float","default":0,"readOnly":false},"id":{"type":"string","readOnly":true},"max_budget_per_period":{"type":"number","format":"float","default":0,"readOnly":false},"total_impression_capping":{"type":"integer","format":"int32","default":0,"readOnly":false},"per_day_impression_capping":{"type":"integer","format":"int32","default":0,"readOnly":false},"currency_code":{"type":"string","readOnly":false},"start_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"subtype":{"$ref":"#/components/schemas/DisplayCampaignSubtype"},"name":{"type":"string","readOnly":false},"editor_version_id":{"type":"string","readOnly":false},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":false},"editor_group_id":{"type":"string","readOnly":false},"technical_name":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"end_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"editor_artifact_id":{"type":"string","readOnly":false}},"required":["archived","automated","creation_ts","currency_code","editor_artifact_id","editor_group_id","editor_version_id","editor_version_value","end_date","id","max_bid_price","max_budget_per_period","max_budget_period","model_version","name","organisation_id","per_day_impression_capping","start_date","status","subtype","time_zone","total_budget","total_impression_capping"]},"BudgetPeriodEnum":{"type":"string","enum":["DAY","WEEK","MONTH"],"readOnly":false},"ModelVersion":{"type":"string","enum":["V2014_06","V2017_09"],"readOnly":false},"CampaignStatus":{"type":"string","enum":["PENDING","ACTIVE","PAUSED"],"readOnly":false},"DisplayCampaignSubtype":{"type":"string","enum":["PROGRAMMATIC","AD_SERVING","TRACKING"],"readOnly":false},"CampaignResource":{"discriminator":{"propertyName":"type","mapping":{"DISPLAY":"#/components/schemas/DisplayCampaignResource","EMAIL":"#/components/schemas/EmailCampaignResource"}},"oneOf":[{"$ref":"#/components/schemas/DisplayCampaignResource"},{"$ref":"#/components/schemas/EmailCampaignResource"}],"properties":{"type":{"type":"string","enum":["DISPLAY","EMAIL"]}},"required":["type"]},"EmailCampaignResource":{"type":"object","properties":{"archived":{"type":"boolean","default":false,"readOnly":false},"currency_code":{"type":"string","readOnly":false},"editor_version_id":{"type":"string","readOnly":false},"automated":{"type":"boolean","default":false,"readOnly":false},"editor_version_value":{"type":"string","readOnly":false},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":false},"editor_group_id":{"type":"string","readOnly":false},"status":{"$ref":"#/components/schemas/CampaignStatus"},"editor_artifact_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"technical_name":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false}},"required":["archived","automated","creation_ts","currency_code","editor_artifact_id","editor_group_id","editor_version_id","editor_version_value","id","name","organisation_id","status"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /display\_campaigns/{campaign\_id}/ad\_groups/{ad\_group\_id}/display\_networks

> Search display network selections

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Display Campaigns","description":"Operations related to Display Campaigns, the activation tool to display Ads to end users through Real Time Bidding (RTB) and Ad Server diffusion channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/display_campaigns/{campaign_id}/ad_groups/{ad_group_id}/display_networks":{"get":{"summary":"Search display network selections","operationId":"findDisplayNetworkSelections","parameters":[{"style":"simple","in":"path","required":true,"explode":false,"name":"campaign_id","schema":{"type":"integer","format":"int64"}},{"style":"simple","required":true,"in":"path","explode":false,"schema":{"type":"integer","format":"int64"},"name":"ad_group_id"},{"explode":true,"description":"Offset from which the search must be performed","schema":{"type":"integer","format":"int32"},"required":false,"style":"form","in":"query","name":"first_result"},{"required":false,"schema":{"type":"integer","format":"int32"},"style":"form","explode":true,"description":"Number of maximum items that shall be return by this search","name":"max_results","in":"query"}],"tags":["Display Campaigns"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"first_result":{"type":"integer"},"max_results":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/DisplayNetworkSelectionResource"}},"total":{"type":"integer"},"count":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":""}}},"components":{"schemas":{"DisplayNetworkSelectionResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"ad_group_id":{"type":"string","readOnly":false},"display_network_id":{"type":"string","readOnly":false},"exclude":{"type":"boolean","default":false,"readOnly":false}},"required":["ad_group_id","display_network_id","exclude","id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /display\_campaigns/{campaign\_id}/ad\_groups/{ad\_group\_id}/display\_networks

> Create display network selection

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Display Campaigns","description":"Operations related to Display Campaigns, the activation tool to display Ads to end users through Real Time Bidding (RTB) and Ad Server diffusion channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/display_campaigns/{campaign_id}/ad_groups/{ad_group_id}/display_networks":{"post":{"requestBody":{"description":"The market to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisplayNetworkSelectionResource"}}},"required":true},"description":"","summary":"Create display network selection","operationId":"createDisplayNetworkSelections","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DisplayNetworkSelectionResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Display Campaigns"],"parameters":[{"schema":{"type":"integer","format":"int64"},"explode":false,"required":true,"in":"path","name":"campaign_id","style":"simple"},{"in":"path","schema":{"type":"integer","format":"int64"},"name":"ad_group_id","style":"simple","required":true,"explode":false}]}}},"components":{"schemas":{"DisplayNetworkSelectionResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"ad_group_id":{"type":"string","readOnly":false},"display_network_id":{"type":"string","readOnly":false},"exclude":{"type":"boolean","default":false,"readOnly":false}},"required":["ad_group_id","display_network_id","exclude","id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /display\_campaigns/{campaign\_id}/ad\_groups/{ad\_group\_id}/audience\_segments

> Search audience segment selections

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Display Campaigns","description":"Operations related to Display Campaigns, the activation tool to display Ads to end users through Real Time Bidding (RTB) and Ad Server diffusion channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/display_campaigns/{campaign_id}/ad_groups/{ad_group_id}/audience_segments":{"get":{"operationId":"findAudienceSegmentSelections","parameters":[{"in":"path","name":"campaign_id","explode":false,"schema":{"type":"integer","format":"int64"},"required":true,"style":"simple"},{"in":"path","name":"ad_group_id","explode":false,"required":true,"schema":{"type":"integer","format":"int64"},"style":"simple"}],"tags":["Display Campaigns"],"description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"first_result":{"type":"integer"},"max_results":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/AudienceSegmentSelectionResource"}},"count":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"total":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Search audience segment selections"}}},"components":{"schemas":{"AudienceSegmentSelectionResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"audience_segment_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":true},"technical_name":{"type":"string","readOnly":true},"exclude":{"type":"boolean","default":false,"readOnly":false}},"required":["audience_segment_id","exclude","id","name","technical_name"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /display\_campaigns/{campaign\_id}/ad\_groups/{ad\_group\_id}/audience\_segments

> Create audience segment selection

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Display Campaigns","description":"Operations related to Display Campaigns, the activation tool to display Ads to end users through Real Time Bidding (RTB) and Ad Server diffusion channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/display_campaigns/{campaign_id}/ad_groups/{ad_group_id}/audience_segments":{"post":{"description":"","tags":["Display Campaigns"],"parameters":[{"name":"campaign_id","schema":{"type":"integer","format":"int64"},"explode":false,"required":true,"style":"simple","in":"path"},{"required":true,"schema":{"type":"integer","format":"int64"},"in":"path","explode":false,"name":"ad_group_id","style":"simple"}],"summary":"Create audience segment selection","operationId":"createAudienceSegmentSelections","requestBody":{"description":"The market to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AudienceSegmentSelectionResource"}}},"required":true},"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/AudienceSegmentSelectionResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"AudienceSegmentSelectionResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"audience_segment_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":true},"technical_name":{"type":"string","readOnly":true},"exclude":{"type":"boolean","default":false,"readOnly":false}},"required":["audience_segment_id","exclude","id","name","technical_name"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /display\_campaigns/{campaign\_id}/ad\_groups/{ad\_group\_id}/display\_networks/{id}

> Get display network selection by id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Display Campaigns","description":"Operations related to Display Campaigns, the activation tool to display Ads to end users through Real Time Bidding (RTB) and Ad Server diffusion channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/display_campaigns/{campaign_id}/ad_groups/{ad_group_id}/display_networks/{id}":{"get":{"operationId":"getDisplayNetworkSelection","description":"","parameters":[{"style":"simple","name":"campaign_id","explode":false,"in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"in":"path","explode":false,"name":"ad_group_id","schema":{"type":"integer","format":"int64"},"style":"simple","required":true},{"schema":{"type":"integer","format":"int64"},"name":"id","style":"simple","required":true,"explode":false,"in":"path"}],"tags":["Display Campaigns"],"summary":"Get display network selection by id","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DisplayNetworkSelectionResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"DisplayNetworkSelectionResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"ad_group_id":{"type":"string","readOnly":false},"display_network_id":{"type":"string","readOnly":false},"exclude":{"type":"boolean","default":false,"readOnly":false}},"required":["ad_group_id","display_network_id","exclude","id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /display\_campaigns/{campaign\_id}/ad\_groups/{ad\_group\_id}/display\_networks/{id}

> Update display network selection

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Display Campaigns","description":"Operations related to Display Campaigns, the activation tool to display Ads to end users through Real Time Bidding (RTB) and Ad Server diffusion channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/display_campaigns/{campaign_id}/ad_groups/{ad_group_id}/display_networks/{id}":{"put":{"requestBody":{"description":"The display network selection to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisplayNetworkSelectionResource"}}},"required":true},"tags":["Display Campaigns"],"operationId":"updateDisplayNetworkSelection","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DisplayNetworkSelectionResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Update display network selection","description":"","parameters":[{"schema":{"type":"integer","format":"int64"},"name":"campaign_id","required":true,"in":"path","style":"simple","explode":false},{"in":"path","style":"simple","required":true,"name":"ad_group_id","explode":false,"schema":{"type":"integer","format":"int64"}},{"name":"id","style":"simple","required":true,"schema":{"type":"integer","format":"int64"},"explode":false,"in":"path"}]}}},"components":{"schemas":{"DisplayNetworkSelectionResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"ad_group_id":{"type":"string","readOnly":false},"display_network_id":{"type":"string","readOnly":false},"exclude":{"type":"boolean","default":false,"readOnly":false}},"required":["ad_group_id","display_network_id","exclude","id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /display\_campaigns/{campaign\_id}/ad\_groups/{ad\_group\_id}/display\_networks/{id}

> Delete display network selection

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Display Campaigns","description":"Operations related to Display Campaigns, the activation tool to display Ads to end users through Real Time Bidding (RTB) and Ad Server diffusion channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/display_campaigns/{campaign_id}/ad_groups/{ad_group_id}/display_networks/{id}":{"delete":{"parameters":[{"name":"campaign_id","in":"path","style":"simple","explode":false,"required":true,"schema":{"type":"integer","format":"int64"}},{"name":"ad_group_id","in":"path","style":"simple","required":true,"schema":{"type":"integer","format":"int64"},"explode":false},{"schema":{"type":"integer","format":"int64"},"name":"id","required":true,"style":"simple","in":"path","explode":false}],"responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"deleteDisplayNetworkSelection","summary":"Delete display network selection","description":"","tags":["Display Campaigns"]}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```

## GET /display\_campaigns/{campaign\_id}/ad\_groups/{id}

> get an ad group from the campaign

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Display Campaigns","description":"Operations related to Display Campaigns, the activation tool to display Ads to end users through Real Time Bidding (RTB) and Ad Server diffusion channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/display_campaigns/{campaign_id}/ad_groups/{id}":{"get":{"tags":["Display Campaigns"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/AdGroupResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"get an ad group from the campaign","description":"","parameters":[{"required":true,"name":"campaign_id","explode":false,"in":"path","schema":{"type":"integer","format":"int64"},"description":"The campaign id","style":"simple"},{"explode":false,"schema":{"type":"integer","format":"int64"},"name":"id","style":"simple","required":true,"in":"path","description":"The ad group id"}],"operationId":"findAdGroup"}}},"components":{"schemas":{"AdGroupResource":{"type":"object","properties":{"end_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"viewability_use_third_party_data":{"type":"boolean","default":false,"readOnly":false},"total_impression_capping":{"type":"integer","format":"int32","default":0,"readOnly":false},"start_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"viewability_min_score":{"type":"integer","format":"int32","default":0,"readOnly":false},"name":{"type":"string","readOnly":false},"per_day_impression_capping":{"type":"integer","format":"int32","default":0,"readOnly":false},"status":{"$ref":"#/components/schemas/AdGroupStatus"},"id":{"type":"string","readOnly":true},"targeted_browser_families":{"$ref":"#/components/schemas/TargetedBrowserFamily"},"ab_selection_min":{"type":"integer","format":"int32","default":0,"readOnly":false},"max_budget_period":{"$ref":"#/components/schemas/BudgetPeriodEnum"},"max_budget_per_period":{"type":"number","format":"float","default":0,"readOnly":false},"visibility":{"$ref":"#/components/schemas/AdSlotVisibilityFilter"},"ab_selection":{"type":"boolean","default":false,"readOnly":false},"ab_selection_max":{"type":"integer","format":"int32","default":0,"readOnly":false},"targeted_operating_systems":{"$ref":"#/components/schemas/TargetedOperatingSystem"},"targeted_medias":{"$ref":"#/components/schemas/TargetedMedia"},"total_budget":{"type":"number","format":"float","default":0,"readOnly":false},"targeted_connection_types":{"$ref":"#/components/schemas/TargetedConnectionType"},"technical_name":{"type":"string","readOnly":false},"max_bid_price":{"type":"number","format":"float","default":0,"readOnly":false},"campaign_id":{"type":"string","readOnly":false},"targeted_devices":{"$ref":"#/components/schemas/TargetedDevice"},"budget_relative_to_campaign":{"type":"boolean","default":false,"readOnly":false}},"required":["ab_selection","ab_selection_max","ab_selection_min","budget_relative_to_campaign","campaign_id","id","max_bid_price","name","per_day_impression_capping","status","targeted_browser_families","targeted_connection_types","targeted_devices","targeted_medias","targeted_operating_systems","technical_name","total_budget","total_impression_capping","viewability_use_third_party_data","visibility"]},"AdGroupStatus":{"type":"string","enum":["ACTIVE","PAUSED"],"readOnly":false},"TargetedBrowserFamily":{"type":"string","enum":["ALL","CHROME","INTERNET_EXPLORER","MICROSOFT_EDGE","FIREFOX","SAFARI","OPERA"],"readOnly":false},"BudgetPeriodEnum":{"type":"string","enum":["DAY","WEEK","MONTH"],"readOnly":false},"AdSlotVisibilityFilter":{"type":"string","enum":["ABOVE_THE_FOLD","BELOW_THE_FOLD","ANY_POSITION"],"readOnly":false},"TargetedOperatingSystem":{"type":"string","enum":["ALL","IOS","ANDROID","WINDOWS_PHONE"],"readOnly":false},"TargetedMedia":{"type":"string","enum":["WEB","MOBILE_APP"],"readOnly":false},"TargetedConnectionType":{"type":"string","enum":["ALL","ETHERNET","WIFI","CELLULAR_NETWORK_2G","CELLULAR_NETWORK_3G","CELLULAR_NETWORK_4G"],"readOnly":false},"TargetedDevice":{"type":"string","enum":["ALL","ONLY_DESKTOP","ONLY_MOBILE","ONLY_TABLET","MOBILE_AND_TABLET"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /display\_campaigns/{campaign\_id}/ad\_groups/{id}

> update an ad group

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Display Campaigns","description":"Operations related to Display Campaigns, the activation tool to display Ads to end users through Real Time Bidding (RTB) and Ad Server diffusion channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/display_campaigns/{campaign_id}/ad_groups/{id}":{"put":{"parameters":[{"schema":{"type":"integer","format":"int64"},"name":"campaign_id","required":true,"in":"path","style":"simple","explode":false,"description":"The campaign id"},{"style":"simple","name":"id","description":"The ad group id","required":true,"schema":{"type":"integer","format":"int64"},"in":"path","explode":false}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/AdGroupResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Display Campaigns"],"requestBody":{"description":"The ad group to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdGroupResource"}}},"required":true},"summary":"update an ad group","description":"","operationId":"updateAdGroup"}}},"components":{"schemas":{"AdGroupResource":{"type":"object","properties":{"end_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"viewability_use_third_party_data":{"type":"boolean","default":false,"readOnly":false},"total_impression_capping":{"type":"integer","format":"int32","default":0,"readOnly":false},"start_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"viewability_min_score":{"type":"integer","format":"int32","default":0,"readOnly":false},"name":{"type":"string","readOnly":false},"per_day_impression_capping":{"type":"integer","format":"int32","default":0,"readOnly":false},"status":{"$ref":"#/components/schemas/AdGroupStatus"},"id":{"type":"string","readOnly":true},"targeted_browser_families":{"$ref":"#/components/schemas/TargetedBrowserFamily"},"ab_selection_min":{"type":"integer","format":"int32","default":0,"readOnly":false},"max_budget_period":{"$ref":"#/components/schemas/BudgetPeriodEnum"},"max_budget_per_period":{"type":"number","format":"float","default":0,"readOnly":false},"visibility":{"$ref":"#/components/schemas/AdSlotVisibilityFilter"},"ab_selection":{"type":"boolean","default":false,"readOnly":false},"ab_selection_max":{"type":"integer","format":"int32","default":0,"readOnly":false},"targeted_operating_systems":{"$ref":"#/components/schemas/TargetedOperatingSystem"},"targeted_medias":{"$ref":"#/components/schemas/TargetedMedia"},"total_budget":{"type":"number","format":"float","default":0,"readOnly":false},"targeted_connection_types":{"$ref":"#/components/schemas/TargetedConnectionType"},"technical_name":{"type":"string","readOnly":false},"max_bid_price":{"type":"number","format":"float","default":0,"readOnly":false},"campaign_id":{"type":"string","readOnly":false},"targeted_devices":{"$ref":"#/components/schemas/TargetedDevice"},"budget_relative_to_campaign":{"type":"boolean","default":false,"readOnly":false}},"required":["ab_selection","ab_selection_max","ab_selection_min","budget_relative_to_campaign","campaign_id","id","max_bid_price","name","per_day_impression_capping","status","targeted_browser_families","targeted_connection_types","targeted_devices","targeted_medias","targeted_operating_systems","technical_name","total_budget","total_impression_capping","viewability_use_third_party_data","visibility"]},"AdGroupStatus":{"type":"string","enum":["ACTIVE","PAUSED"],"readOnly":false},"TargetedBrowserFamily":{"type":"string","enum":["ALL","CHROME","INTERNET_EXPLORER","MICROSOFT_EDGE","FIREFOX","SAFARI","OPERA"],"readOnly":false},"BudgetPeriodEnum":{"type":"string","enum":["DAY","WEEK","MONTH"],"readOnly":false},"AdSlotVisibilityFilter":{"type":"string","enum":["ABOVE_THE_FOLD","BELOW_THE_FOLD","ANY_POSITION"],"readOnly":false},"TargetedOperatingSystem":{"type":"string","enum":["ALL","IOS","ANDROID","WINDOWS_PHONE"],"readOnly":false},"TargetedMedia":{"type":"string","enum":["WEB","MOBILE_APP"],"readOnly":false},"TargetedConnectionType":{"type":"string","enum":["ALL","ETHERNET","WIFI","CELLULAR_NETWORK_2G","CELLULAR_NETWORK_3G","CELLULAR_NETWORK_4G"],"readOnly":false},"TargetedDevice":{"type":"string","enum":["ALL","ONLY_DESKTOP","ONLY_MOBILE","ONLY_TABLET","MOBILE_AND_TABLET"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /display\_campaigns/{campaign\_id}/ad\_groups/{id}

> update an ad group

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Display Campaigns","description":"Operations related to Display Campaigns, the activation tool to display Ads to end users through Real Time Bidding (RTB) and Ad Server diffusion channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/display_campaigns/{campaign_id}/ad_groups/{id}":{"delete":{"operationId":"deleteAdGroup","summary":"update an ad group","responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"description":"The campaign id","schema":{"type":"integer","format":"int64"},"name":"campaign_id","required":true,"in":"path","style":"simple","explode":false},{"explode":false,"in":"path","name":"id","style":"simple","schema":{"type":"integer","format":"int64"},"description":"The ad group id","required":true}],"description":"","tags":["Display Campaigns"]}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```

## PUT /display\_campaigns/{id}

> update a campaign by id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Display Campaigns","description":"Operations related to Display Campaigns, the activation tool to display Ads to end users through Real Time Bidding (RTB) and Ad Server diffusion channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/display_campaigns/{id}":{"put":{"operationId":"updateCampaign","parameters":[{"in":"path","schema":{"type":"integer","format":"int64"},"explode":false,"style":"simple","required":true,"name":"id"}],"summary":"update a campaign by id","tags":["Display Campaigns"],"requestBody":{"description":"The campaign to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisplayCampaignResource"}}},"required":true},"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/CampaignResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":""}}},"components":{"schemas":{"DisplayCampaignResource":{"type":"object","properties":{"time_zone":{"type":"string","readOnly":false},"automated":{"type":"boolean","default":false,"readOnly":false},"max_budget_period":{"$ref":"#/components/schemas/BudgetPeriodEnum"},"organisation_id":{"type":"string","readOnly":false},"editor_version_value":{"type":"string","readOnly":false},"model_version":{"$ref":"#/components/schemas/ModelVersion"},"total_budget":{"type":"number","format":"float","default":0,"readOnly":false},"status":{"$ref":"#/components/schemas/CampaignStatus"},"max_bid_price":{"type":"number","format":"float","default":0,"readOnly":false},"id":{"type":"string","readOnly":true},"max_budget_per_period":{"type":"number","format":"float","default":0,"readOnly":false},"total_impression_capping":{"type":"integer","format":"int32","default":0,"readOnly":false},"per_day_impression_capping":{"type":"integer","format":"int32","default":0,"readOnly":false},"currency_code":{"type":"string","readOnly":false},"start_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"subtype":{"$ref":"#/components/schemas/DisplayCampaignSubtype"},"name":{"type":"string","readOnly":false},"editor_version_id":{"type":"string","readOnly":false},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":false},"editor_group_id":{"type":"string","readOnly":false},"technical_name":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"end_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"editor_artifact_id":{"type":"string","readOnly":false}},"required":["archived","automated","creation_ts","currency_code","editor_artifact_id","editor_group_id","editor_version_id","editor_version_value","end_date","id","max_bid_price","max_budget_per_period","max_budget_period","model_version","name","organisation_id","per_day_impression_capping","start_date","status","subtype","time_zone","total_budget","total_impression_capping"]},"BudgetPeriodEnum":{"type":"string","enum":["DAY","WEEK","MONTH"],"readOnly":false},"ModelVersion":{"type":"string","enum":["V2014_06","V2017_09"],"readOnly":false},"CampaignStatus":{"type":"string","enum":["PENDING","ACTIVE","PAUSED"],"readOnly":false},"DisplayCampaignSubtype":{"type":"string","enum":["PROGRAMMATIC","AD_SERVING","TRACKING"],"readOnly":false},"CampaignResource":{"discriminator":{"propertyName":"type","mapping":{"DISPLAY":"#/components/schemas/DisplayCampaignResource","EMAIL":"#/components/schemas/EmailCampaignResource"}},"oneOf":[{"$ref":"#/components/schemas/DisplayCampaignResource"},{"$ref":"#/components/schemas/EmailCampaignResource"}],"properties":{"type":{"type":"string","enum":["DISPLAY","EMAIL"]}},"required":["type"]},"EmailCampaignResource":{"type":"object","properties":{"archived":{"type":"boolean","default":false,"readOnly":false},"currency_code":{"type":"string","readOnly":false},"editor_version_id":{"type":"string","readOnly":false},"automated":{"type":"boolean","default":false,"readOnly":false},"editor_version_value":{"type":"string","readOnly":false},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":false},"editor_group_id":{"type":"string","readOnly":false},"status":{"$ref":"#/components/schemas/CampaignStatus"},"editor_artifact_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"technical_name":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false}},"required":["archived","automated","creation_ts","currency_code","editor_artifact_id","editor_group_id","editor_version_id","editor_version_value","id","name","organisation_id","status"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /display\_campaigns/{id}

> remove a campaign by id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Display Campaigns","description":"Operations related to Display Campaigns, the activation tool to display Ads to end users through Real Time Bidding (RTB) and Ad Server diffusion channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/display_campaigns/{id}":{"delete":{"parameters":[{"style":"simple","required":true,"explode":false,"schema":{"type":"integer","format":"int64"},"name":"id","in":"path"}],"summary":"remove a campaign by id","responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"","operationId":"removeCampaign","tags":["Display Campaigns"]}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```

## GET /display\_campaigns/{campaign\_id}/ad\_groups/{ad\_group\_id}/locations/{id}

> find Geo Targeting

```json
[...]
